{
  config,
  inputs,
  pkgs,
  ...
}: {
  programs.firefox = {
    enable = true;

    # Default profile
    profiles.jonas = {
      name = "Jonas";
      id = 0;
      isDefault = true;

      # Search
      search = {
        default = "DuckDuckGo";
        order = ["DuckDuckGo" "Google"];
        force = true;
        engines = {
          "Nix Packages" = {
            urls = [
              {
                template = "https://search.nixos.org/packages";
                params = [
                  {
                    name = "type";
                    value = "packages";
                  }
                  {
                    name = "query";
                    value = "{searchTerms}";
                  }
                ];
              }
            ];
          };
        };
      };

      # Extensions
      extensions = with inputs.firefox-addons.packages."x86_64-linux"; [
        ublock-origin
        violentmonkey
        plasma-integration
        passff
      ];
    };
  };
  home.packages = with pkgs; [
    passff-host
  ];
}
